Half-Life: Blue Shift

Informations

Creator Message
Quentin PÂRIS Anonymous

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 20166
Wine: 3.0.3

Feedbacks

Description

FPS 2001. Wikipedia.

This script can install from: CD-ROM, local file, Steam.

Graphics (to do) : In the game's settings -> display -> software to OpenGL.

Screenshots

Miniature

Source code

#!/bin/bash
# Date : (2020-01-07)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: retail CD-ROM, v1.0.0.0 (displayed by the installer).
#
# Middlewares used by this software : DirectX 9 ?.
#
# CHANGELOG
# [Dadu042] (2013-01-22)
#   Initial script for Steam (+ Wine 1.5.10).
# [Dadu042] (2020-01-07)
#   New script (tested with Wine 4.0.3 and retail CD-ROM v1.0.0.0).
#   Can install from CD and local DDV.
# [Dadu042] (2020-01-07 19:00)
#   Add Steam (not tested).
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3: intro and cutscenes not displayed. Game training does not display. Fix: Wine 4.0.3 or game's settings -> display -> software to OpenGL.
#  - Wine x86 4.0.3: intro videos not displayed.
#  - Wine x86 4.0.3: X
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.3, 4.0.3: X

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
         
TITLE="Half-Life: Blue Shift"
PREFIX="hl_blue_shift"
EDITOR="Sierra"
GAME_URL="https://en.wikipedia.org/wiki/Half-Life:_Blue_Shift"
AUTHOR="Dadu042"
STEAM_ID="130"
GAME_VMS="128"
SHORTCUT_FILENAME="bshift.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
    
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
         
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
          
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
      
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "3.0.3"
         
Set_OS "winxp"
    
#######################################
#  Installing mandatory dependencies  #
#######################################
 
# POL_Call POL_Install_dotnet40
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
    
################
#      GPU     #
################
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
    
    
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 

#######################################
# Main part of this script            #
#######################################
    
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,CD,STEAM"
 
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
 
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
         
        # POL_Call POL_Function_NoCDWarning
  
        POL_SetupWindow_check_cdrom "bsinstall.EXE"
        POL_Wine start /unix "$CDROM/setup.EXE"  # "/SILENT"
        POL_Wine_WaitExit "setup.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
 
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_SetupWindow_message "$(eval_gettext 'Note: this script can only download the demo.')" "$TITLE"
        POL_Download "http://www.armadillorun.com/demo/Armadillo_Run_Demo_1_0_7.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
 
        POL_Wine "Armadillo_Run_Demo_1_0_7.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
    
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
      
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
################
# Patch update #
################

# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"

if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
 
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
 
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Netherquark Tuesday 4 January 2022 at 9:37
Netherquark Anonymous

Message

Runs (in Windows 2000 mode), but you need to manually select Wine(x86) version 6.1.8. As previously noted, use Default OpenGL renderer. Works upto 1280x960. Doesn't work with Wine (x86) 3.0.3 for me. Hope someone can patch the script and bump up to 6.1.8

 

 

System specs:

System:
  Kernel: 5.15.12-200.fc35.x86_64 x86_64 bits: 64 compiler: gcc
  v: 2.37-10.fc35
  parameters: BOOT_IMAGE=(hd0,gpt2)/boot/vmlinuz-5.15.12-200.fc35.x86_64
  root=UUID=23569fdf-b145-46d9-8d8d-458d3236927c ro
  resume=UUID=b3dc2052-b0d7-4f08-a491-4cde2179cfb1 rhgb quiet
  Desktop: GNOME 41.2 tk: GTK 3.24.31 wm: gnome-shell dm: GDM 41.0
  Distro: Fedora release 35 (Thirty Five)
Machine:
  Type: Desktop Mobo: ASUSTeK model: TUF B450-PLUS GAMING v: Rev X.0x
  serial: UEFI: American Megatrends v: 3211
  date: 08/10/2021
Memory:
  RAM: total: 6.74 GiB used: 4.46 GiB (66.2%)
  RAM Report: permissions: Unable to run dmidecode. Root privileges required.
CPU:
  Info: Quad Core model: AMD Ryzen 3 2200G with Radeon Vega Graphics bits: 64
  type: MCP arch: Zen family: 17 (23) model-id: 11 (17) stepping: 0
  microcode: 8101016 cache: L1: 384 KiB L2: 2 MiB L3: 4 MiB bogomips: 28799
  Speed: 3335 MHz min/max: 1600/3600 MHz boost: disabled Core speeds (MHz):
  1: 3335 2: 3281 3: 3466 4: 3386
  Flags: 3dnowprefetch abm adx aes aperfmperf apic arat avic avx avx2 bmi1
  bmi2 bpext clflush clflushopt clzero cmov cmp_legacy constant_tsc cpb cpuid
  cr8_legacy cx16 cx8 de decodeassists extapic extd_apicid f16c flushbyasid
  fma fpu fsgsbase fxsr fxsr_opt ht hw_pstate ibpb irperf lahf_lm lbrv lm mca
  mce misalignsse mmx mmxext monitor movbe msr mtrr mwaitx nonstop_tsc nopl
  npt nrip_save nx osvw overflow_recov pae pat pausefilter pclmulqdq pdpe1gb
  perfctr_core perfctr_llc perfctr_nb pfthreshold pge pni popcnt pse pse36
  rapl rdrand rdseed rdtscp rep_good sep sev sev_es sha_ni skinit smap smca
  sme smep ssbd sse sse2 sse4_1 sse4_2 sse4a ssse3 succor svm svm_lock syscall
  tce topoext tsc tsc_scale v_vmsave_vmload vgif vmcb_clean vme vmmcall wdt
  xgetbv1 xsave xsavec xsaveerptr xsaveopt xsaves
  Vulnerabilities: Type: itlb_multihit status: Not affected
  Type: l1tf status: Not affected
  Type: mds status: Not affected
  Type: meltdown status: Not affected
  Type: spec_store_bypass
  mitigation: Speculative Store Bypass disabled via prctl and seccomp
  Type: spectre_v1
  mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional, STIBP:
  disabled, RSB filling
  Type: srbds status: Not affected
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: AMD Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]
  vendor: ASUSTeK PRIME driver: amdgpu v: kernel bus-ID: 08:00.0
  chip-ID: 1002:15dd class-ID: 0300
  Device-2: Logitech Webcam C270 type: USB driver: snd-usb-audio,uvcvideo
  bus-ID: 5-1:2 chip-ID: 046d:0825 class-ID: 0102 serial:
  Display: wayland server: X.Org 1.21.1.4 compositor: gnome-shell driver:
  loaded: amdgpu note: n/a (using device driver) - try sudo/root
  display-ID: :0 screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2")
  s-diag: 582mm (22.9")
  Monitor-1: XWAYLAND4 res: 1920x1080 hz: 60 dpi: 69
  size: 710x400mm (28.0x15.7") diag: 815mm (32.1")
  OpenGL: renderer: AMD Radeon Vega 8 Graphics (RAVEN DRM 3.42.0
  5.15.12-200.fc35.x86_64 LLVM 13.0.0)
  v: 4.6 Mesa 21.3.3 direct render: Yes

Replies

Edited by Netherquark

Dadu042 Tuesday 7 January 2020 at 19:50
Dadu042

Information

This update has been approved by the team.

Message

Add Steam (not tested).

Differences

@@ -17,6 +17,8 @@
 # [Dadu042] (2020-01-07)
 #   New script (tested with Wine 4.0.3 and retail CD-ROM v1.0.0.0).
 #   Can install from CD and local DDV.
+# [Dadu042] (2020-01-07 19:00)
+#   Add Steam (not tested).
 #
 #
 #
@@ -115,7 +117,7 @@
     
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
-POL_SetupWindow_InstallMethod "LOCAL,CD"
+POL_SetupWindow_InstallMethod "LOCAL,CD,STEAM"
  
 # POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
  

New source code

#!/bin/bash
# Date : (2020-01-07)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: retail CD-ROM, v1.0.0.0 (displayed by the installer).
#
# Middlewares used by this software : DirectX 9 ?.
#
# CHANGELOG
# [Dadu042] (2013-01-22)
#   Initial script for Steam (+ Wine 1.5.10).
# [Dadu042] (2020-01-07)
#   New script (tested with Wine 4.0.3 and retail CD-ROM v1.0.0.0).
#   Can install from CD and local DDV.
# [Dadu042] (2020-01-07 19:00)
#   Add Steam (not tested).
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3: intro and cutscenes not displayed. Game training does not display. Fix: Wine 4.0.3 or game's settings -> display -> software to OpenGL.
#  - Wine x86 4.0.3: intro videos not displayed.
#  - Wine x86 4.0.3: X
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.3, 4.0.3: X

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
         
TITLE="Half-Life: Blue Shift"
PREFIX="hl_blue_shift"
EDITOR="Sierra"
GAME_URL="https://en.wikipedia.org/wiki/Half-Life:_Blue_Shift"
AUTHOR="Dadu042"
STEAM_ID="130"
GAME_VMS="128"
SHORTCUT_FILENAME="bshift.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
    
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
         
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
          
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
      
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "3.0.3"
         
Set_OS "winxp"
    
#######################################
#  Installing mandatory dependencies  #
#######################################
 
# POL_Call POL_Install_dotnet40
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
    
################
#      GPU     #
################
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
    
    
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 

#######################################
# Main part of this script            #
#######################################
    
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,CD,STEAM"
 
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
 
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
         
        # POL_Call POL_Function_NoCDWarning
  
        POL_SetupWindow_check_cdrom "bsinstall.EXE"
        POL_Wine start /unix "$CDROM/setup.EXE"  # "/SILENT"
        POL_Wine_WaitExit "setup.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
 
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_SetupWindow_message "$(eval_gettext 'Note: this script can only download the demo.')" "$TITLE"
        POL_Download "http://www.armadillorun.com/demo/Armadillo_Run_Demo_1_0_7.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
 
        POL_Wine "Armadillo_Run_Demo_1_0_7.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
    
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
      
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
################
# Patch update #
################

# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"

if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
 
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
 
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Tuesday 7 January 2020 at 13:31
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -1,47 +1,228 @@
 #!/bin/bash
-# Date : (2013-01-22)
-# Last revision : (2013-01-22)
-# Wine version used : 1.5.10
-# Distribution used to test : Mac OS 10.8
-# Author : Quentin PÂRIS
+# Date : (2020-01-07)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : XUbuntu 18.04 x64
+# Author : Dadu042
 # Licence : Retail
 # Only For : http://www.playonlinux.com
- 
+#
+# TESTED Editions: retail CD-ROM, v1.0.0.0 (displayed by the installer).
+#
+# Middlewares used by this software : DirectX 9 ?.
+#
+# CHANGELOG
+# [Dadu042] (2013-01-22)
+#   Initial script for Steam (+ Wine 1.5.10).
+# [Dadu042] (2020-01-07)
+#   New script (tested with Wine 4.0.3 and retail CD-ROM v1.0.0.0).
+#   Can install from CD and local DDV.
+#
+#
+#
+# KNOWN ISSUES:
+#  - Wine x86 3.0.3: intro and cutscenes not displayed. Game training does not display. Fix: Wine 4.0.3 or game's settings -> display -> software to OpenGL.
+#  - Wine x86 4.0.3: intro videos not displayed.
+#  - Wine x86 4.0.3: X
+#
+# KNOWN ISSUES (FIXED):
+#  - Wine x86 3.0.3, 4.0.3: X
+
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+      
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
- 
+         
 TITLE="Half-Life: Blue Shift"
-PREFIX="HalfLifeBlueShift"
-WORKING_WINE_VERSION="1.5.10"
-GAME_VMS="32"
+PREFIX="hl_blue_shift"
+EDITOR="Sierra"
+GAME_URL="https://en.wikipedia.org/wiki/Half-Life:_Blue_Shift"
+AUTHOR="Dadu042"
 STEAM_ID="130"
-
+GAME_VMS="128"
+SHORTCUT_FILENAME="bshift.exe"
+SOFTWARE_CATEGORIES="Game;ActionGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE="readme.txt"
+    
+# Starting the script
 POL_SetupWindow_Init
+            
+# Starting debugging API
 POL_Debug_Init
- 
-POL_SetupWindow_presentation "$TITLE" "Valve" "http://www.valvesoftware.com/" "Quentin PÂRIS" "$PREFIX"
-  
+           
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+         
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+         
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+          
+POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+     
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
+           
+# Determine Architecture
+# POL_System_SetArch "amd64"
 POL_System_SetArch "x86"
-POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+      
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "3.0.3"
+         
+Set_OS "winxp"
+    
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+ 
+# POL_Call POL_Install_dotnet40
+ 
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+    
+    
+################
+#      GPU     #
+################
  
-POL_SetupWindow_InstallMethod "STEAM"
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
  
-# Installing mandatory dependencies
-POL_Call POL_Install_steam
-POL_Call POL_Install_steam_flags "$STEAM_ID"
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+  
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+    
+    
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+ 
+
+#######################################
+# Main part of this script            #
+#######################################
+    
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,CD"
+ 
+# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
  
 # Begin game installation
-if [ "$INSTALL_METHOD" = "STEAM" ]; then
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
         POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
-	POL_SetupWindow_VMS $GAME_VMS
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+         
+elif [ "$INSTALL_METHOD" == "CD" ]; then
+        POL_SetupWindow_cdrom
+         
+        # POL_Call POL_Function_NoCDWarning
+  
+        POL_SetupWindow_check_cdrom "bsinstall.EXE"
+        POL_Wine start /unix "$CDROM/setup.EXE"  # "/SILENT"
+        POL_Wine_WaitExit "setup.EXE"
+     
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+        
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+ 
+ 
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+        POL_SetupWindow_message "$(eval_gettext 'Note: this script can only download the demo.')" "$TITLE"
+        POL_Download "http://www.armadillorun.com/demo/Armadillo_Run_Demo_1_0_7.exe"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+ 
+        POL_Wine "Armadillo_Run_Demo_1_0_7.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+     
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+     
+        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+    
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
+        # APP_ANSWER=".EXE"
+    
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+      
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+      
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+     
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+                  
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
 fi
+    
+################
+# Patch update #
+################
 
-POL_SetupWindow_Close
-if [ "$INSTALL_METHOD" = "STEAM" ]; then
-        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
-	POL_Wine "steam.exe" steam://install/$STEAM_ID
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
+
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
 fi
+ 
+ 
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+ 
+# Fail ?
+# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
+ 
+POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2020-01-07)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: retail CD-ROM, v1.0.0.0 (displayed by the installer).
#
# Middlewares used by this software : DirectX 9 ?.
#
# CHANGELOG
# [Dadu042] (2013-01-22)
#   Initial script for Steam (+ Wine 1.5.10).
# [Dadu042] (2020-01-07)
#   New script (tested with Wine 4.0.3 and retail CD-ROM v1.0.0.0).
#   Can install from CD and local DDV.
#
#
#
# KNOWN ISSUES:
#  - Wine x86 3.0.3: intro and cutscenes not displayed. Game training does not display. Fix: Wine 4.0.3 or game's settings -> display -> software to OpenGL.
#  - Wine x86 4.0.3: intro videos not displayed.
#  - Wine x86 4.0.3: X
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 3.0.3, 4.0.3: X

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
      
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
         
TITLE="Half-Life: Blue Shift"
PREFIX="hl_blue_shift"
EDITOR="Sierra"
GAME_URL="https://en.wikipedia.org/wiki/Half-Life:_Blue_Shift"
AUTHOR="Dadu042"
STEAM_ID="130"
GAME_VMS="128"
SHORTCUT_FILENAME="bshift.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
    
# Starting the script
POL_SetupWindow_Init
            
# Starting debugging API
POL_Debug_Init
           
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
         
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
         
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
          
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
           
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
      
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "3.0.3"
         
Set_OS "winxp"
    
#######################################
#  Installing mandatory dependencies  #
#######################################
 
# POL_Call POL_Install_dotnet40
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
    
################
#      GPU     #
################
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
    
    
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 

#######################################
# Main part of this script            #
#######################################
    
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,CD"
 
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
 
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
         
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
         
        # POL_Call POL_Function_NoCDWarning
  
        POL_SetupWindow_check_cdrom "bsinstall.EXE"
        POL_Wine start /unix "$CDROM/setup.EXE"  # "/SILENT"
        POL_Wine_WaitExit "setup.EXE"
     
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
 
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_SetupWindow_message "$(eval_gettext 'Note: this script can only download the demo.')" "$TITLE"
        POL_Download "http://www.armadillorun.com/demo/Armadillo_Run_Demo_1_0_7.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
 
        POL_Wine "Armadillo_Run_Demo_1_0_7.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
    
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
      
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
      
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                  
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
    
################
# Patch update #
################

# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"

if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
 
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
 
POL_SetupWindow_Close
exit 0

Replies